Summary   	: A file compression utility.
Name	  	: bzip2
Version	  	: 1.0.2
Release	  	: 4.0.0.%{_hhl_build_id}
Source	  	: http://sourceware.cygnus.com/bzip2/bzip2-%{version}.tar.gz
Source2: bzip2.tmpl
Source3: bzip2-dev.tmpl
URL		: http://sourceware.cygnus.com/bzip2/
Patch	  	: bzip2_1.0.2-0.1.diff.gz
Patch1		: bzip2_1.0.1-makefile.patch
Patch2		: bzip2-libtoolize.diff
License	 	: Other
Group	  	: utils
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM bzip2
#
Obsoletes : hhl-target-bzip2
Obsoletes : hhl-%{_hhl_target_arch}-bzip2

%description

Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities
of the best techniques available.  However, bzip2 has the added benefit
of being approximately two times faster at compression and six times
faster at decompression than those techniques.  Bzip2 is not the
fastest compression utility, but it does strike a balance between speed
and compression capability.

#
#	RPM
#


%package -n bzip2-dev
Summary		: bzip2 development - headers and library
Group		: utils

Obsoletes : hhl-%{_hhl_target_arch}-bzip2-dev

%description -n bzip2-dev
Bzip2 is a freely available, patent-free, high quality data compressor.

These are the headers and static library.


%prep
%target_check

%setup -q -n bzip2-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%target_setup
# Libtool brokenness...
CONFIG_SHELL=`which bash`
export CONFIG_SHELL

touch configure.in
%{_hhl_target_toolprefix}libtoolize --copy --force
./ltconfig ./ltmain.sh %{_hhl_target_config}

%make CC=%{_hhl_target_toolprefix}gcc
(makeinfo manual.texi --force)


%install
rm -rf %{buildroot}
%target_setup

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}
make PREFIX=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix} install

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_data_dir}
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}/man \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*


%demangle_libtool

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/bzip2
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE3} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/bzip2-dev

%clean
rm -rf %{buildroot}


%files -n bzip2
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bunzip2
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzcat
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzcmp
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzdiff
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzegrep
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzfgrep
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzgrep
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzip2
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzip2recover
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzless
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bzmore
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libbz2.so.1
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libbz2.so.1.0.2
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/*
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/bzip2


%files -n bzip2-dev
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libbz2.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libbz2.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libbz2.la
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/bzlib.h
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/bzip2-dev


%changelog
* Sat Feb 16 2002 Mark Hatle <mhatle@mvista.com>
- libtoolize bzip2 to get around a SuSe host issue
- Cleaned up binary packages

* Thu Apr 19 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Jan 16 2000 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file



